How to use SQLUnit in Build (run by ant)

Help
Deepali
2006-08-18
2013-04-25
  • Deepali

    Deepali - 2006-08-18

    After installing SQLUnit as per instructions provided, added all the required jar files (sqlunit, junit
    etc) in the lib folder under bulddirectory.

    Then I have included following in the existing build xml:
    <!-- Setting up the taskdef for the sqlunit ant task -
    ->

           <target name="def">

    <taskdef name="sqlunit"
    classname="net.sourceforge.sqlunit.ant.SqlunitTask">

                        <classpath>

                               <pathelement location="${builddir}/lib/sqlunit.jar"/>

                        </classpath>

                    </taskdef>

           </target>

    And subsequent target to run sqlunit call.

    However, I am getting following error -
    def:

    BUILD FAILED

    java.lang.UnsupportedClassVersionError:
    net/sourceforge/sqlunit/ant/SqlunitTask (Unsupported major.minor version 49.0)

    Have added all the required jar files (sqlunit, junit
    etc) in the lib folder under bulddirectory.

    What needs to be done?

     
    • diyfiesta

      diyfiesta - 2007-02-09

      What version of Java do you have installed, is it setup correctly (path, java home), is ant setup correctly?

       

Log in to post a comment.